Subject: Re: bug#49731: 28.0.50; Filter xref results by filename

From: Juri Linkov <[email-masked]>
Date: Wed, 23 Nov 2022 19:50:00 +0200

>>> And now a new feature implemented in bug#53981 allows to replace
>>> the unreliable line above with using outline-search-function:
>> Now pushed to master in the commit 3573ebfa6d (it seems this is
>> backward-compatible since it only sets buffer-local variables).
>
> Nice.
>
> Do you plan on adding an outline-[minor-]mode command to hide/show by
> regexp?

Do you mean enabling outline-minor-mode in the xref buffer?
Currently to enable it, the users need to add to the init file:

  (add-hook 'xref-after-update-hook 'outline-minor-mode)

that is not too self-evident.  Maybe a new option could help?